#ifndef TIER1_COMMANDLINE_H
#define TIER1_COMMANDLINE_H


#include "tier0/platform.h"

interface ICommandLine
{
public:	
	static void CreateCommandLine( int argc, char **argv );

	static bool CheckParam( const char *psz );
	static char *ParamValue( const char* psz );

	static void AddParam( char *psz );
	static void RemoveParam( char *psz );

	static int ParamCount();
	static int FindParam( const char *psz );
	static const char *GetParam(int nIndex);
};

#endif
